Bug 10739 - ANK patches to tcpdump changes option behaviour without documenting it
ANK patches to tcpdump changes option behaviour without documenting it
Product: Red Hat Linux
Classification: Retired
Component: tcpdump (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Depends On:
Blocks: 6464 9546 10506 11376
  Show dependency treegraph
Reported: 2000-04-11 21:35 EDT by dgaudet-redhat
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-07-11 14:15:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
proposed documentation change (3.73 KB, patch)
2000-07-11 14:15 EDT, Pekka Savola
no flags Details | Diff

  None (edit)
Description dgaudet-redhat 2000-04-11 21:35:59 EDT
the ANK patches applied to tcpdump change the behaviour of a few
options, and add new options, without documenting.

-a is overloaded -- it will cause an ascii dump to be generated
    in the patch referenced above i chose to change this flag to
     -A and document it in the manpage.

-n specified only once will still convert port numbers to names,
   it needs to be specified twice to get behaviour like stock tcpdump
   i documented this in the manpage.

the stock tcpdump default is to enable promiscuous mode, and -p
disables it.  the ANK tcpdump by default does not have promiscuous
mode enabled, and -p will enable it.  i documented this

i didn't choose to document the new -X, -R or -b flags; i'm not
totally sure what they're there for.

Comment 1 Pekka Savola 2000-07-11 14:13:46 EDT
I didn't see a patch attached, so here goes one of my own.  It documents
the changes in man page and in tcpdump source.

Hopefully this will clear up the documentation mess a bit.

Comment 2 Pekka Savola 2000-07-11 14:15:19 EDT
Created attachment 1002 [details]
proposed documentation change
Comment 3 Jeff Johnson 2000-07-11 14:36:58 EDT
Fixed (your patch applied) in tcpdump-3.4-22. Thanks *very* much for the patch.

Note You need to log in before you can comment on or make changes to this bug.